org.glassfish.jersey.server

## Class ParamException.CookieParamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.ws.rs.WebApplicationException
        - - org.glassfish.jersey.server.ParamException
          - - org.glassfish.jersey.server.ParamException.CookieParamException

All Implemented Interfaces:
  Serializable

Enclosing class:
  ParamException

    public static class ParamException.CookieParamException
    extends ParamException

A parameter exception for errors with `CookieParam`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.glassfish.jersey.server.ParamException

`ParamException.CookieParamException, ParamException.FormParamException, ParamException.HeaderParamException, ParamException.MatrixParamException, ParamException.PathParamException, ParamException.QueryParamException, ParamException.UriParamException`

### Constructor Summary

Constructors
Constructor and Description
`CookieParamException(Throwable cause, String name, String defaultStringValue)`

### Method Summary

### Methods inherited from class org.glassfish.jersey.server.ParamException

`getDefaultStringValue, getParameterName, getParameterType`

### Methods inherited from class jakarta.ws.rs.WebApplicationException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CookieParamException

    public CookieParamException(Throwable cause,
                                String name,
                                String defaultStringValue)